cpufreq-aperf(1)

NAME

cpufreq-aperf - Calculates the average frequency over a time period

SYNTAX

cpufreq-aperf [options]

DESCRIPTION

On latest processors exist two MSR registers referred to as:
  - MPERF increasing with maximum (P0) frequency in C0
  - APERF increasing with current/actual frequency in C0

From this information the average frequency over a time period can be calculated and this is what this tool does.

A nice falloff feature beside the average frequency is the time a processor core remained in C0 (working state) or any CX (sleep state) processor sleep state during the measured time period. This information can be determined from the fact that MPERF only increases in C0 state.

OPTIONS

-c --cpu <CPU>
     The <CPU> core to measure - default all cores.

-i --interval <seconds>
    Refresh rate - default 1 second.

-o --once
    Exit after one interval.

-h --help
    Prints the available options.

REMARKS

The msr driver must be loaded for this command to work.

AUTHORS
Thomas Renninger <trenn@suse.de>

SEE ALSO

cpufreq-set(1), cpufreq-info(1)